Package org.eclipse.cdt.core.settings.model.util

## Class UserAndDiscoveredEntryStorage

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.util.AbstractEntryStorage
  - - org.eclipse.cdt.core.settings.model.util.UserAndDiscoveredEntryStorage

Direct Known Subclasses:
  `UserAndDiscoveredEntryLanguageData.UserAndDiscoveredEntryLanguageDataEntryStorage`

    public abstract class UserAndDiscoveredEntryStorage
    extends AbstractEntryStorage

### Constructor Summary

Constructors
`UserAndDiscoveredEntryStorage​(int kind)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected boolean` `canDisableDiscoveredEntries()`
`protected SettingsSet` `createEmptySettings()`
`protected abstract ICLanguageSettingEntry[]` `getDiscoveredEntries​(Set<String> disabledNameSet)`
`protected abstract ICLanguageSettingEntry[]` `getUserEntries()`
`protected void` `obtainEntriesFromLevel​(int levelNum, SettingsSet.SettingLevel level)`
`protected void` `putEntriesToLevel​(int levelNum, SettingsSet.SettingLevel level)`
`protected abstract void` `setDisabledDiscoveredNames​(Set<String> disabledNameSet)`
`protected abstract void` `setUserEntries​(ICLanguageSettingEntry[] entries)`

### Methods inherited from class org.eclipse.cdt.core.settings.model.util.AbstractEntryStorage

`getEntries, getKind, initCache, macroNameValueFromValue, resetDefaults, setEntries`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UserAndDiscoveredEntryStorage

    public UserAndDiscoveredEntryStorage​(int kind)

### Method Detail

#### createEmptySettings

    protected SettingsSet createEmptySettings()

Specified by:
  `createEmptySettings` in class `AbstractEntryStorage`

#### obtainEntriesFromLevel

    protected void obtainEntriesFromLevel​(int levelNum,
                                          SettingsSet.SettingLevel level)

Specified by:
  `obtainEntriesFromLevel` in class `AbstractEntryStorage`

#### putEntriesToLevel

    protected void putEntriesToLevel​(int levelNum,
                                     SettingsSet.SettingLevel level)

Specified by:
  `putEntriesToLevel` in class `AbstractEntryStorage`

#### canDisableDiscoveredEntries

    protected boolean canDisableDiscoveredEntries()

#### setUserEntries

    protected abstract void setUserEntries​(ICLanguageSettingEntry[] entries)

#### getUserEntries

    protected abstract ICLanguageSettingEntry[] getUserEntries()

#### setDisabledDiscoveredNames

    protected abstract void setDisabledDiscoveredNames​(Set<String> disabledNameSet)

#### getDiscoveredEntries

    protected abstract ICLanguageSettingEntry[] getDiscoveredEntries​(Set<String> disabledNameSet)